package net.sf.nfp.mini.view;

import javax.microedition.lcdui.ChoiceGroup;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;

import net.sf.nfp.mini.data.Mucus;

public class MucusEditorView extends Form{
	public static final String[] CATEGORY_NAMES = {
		"${mucus.none}",
		"${mucus.poor}",
		"${mucus.fine}",
	};
	
	private ChoiceGroup categories;
	private TextField name;
	private int id;

	public MucusEditorView() {
		super("${mucus.editor}");
				
		name = new TextField("${mucus.description}","", 20, TextField.ANY);
		categories = new ChoiceGroup("${mucus.category}",
				ChoiceGroup.EXCLUSIVE, CATEGORY_NAMES, null);
				
		append(name);
		append(categories);
	}

	public void setMucus(Mucus mucus) {
		id = mucus.getId();
		name.setString(mucus.toString());
		categories.setSelectedIndex(mucus.getCategory(), true);
	}

	public Mucus getMucus() {
		return new Mucus(id, (byte)categories.getSelectedIndex(), name.getString());
	}

}
