package net.sf.nfp.mini.model;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;

import net.sf.mvc.mobile.Model;
import net.sf.mvc.mobile.Navigation;
import net.sf.mvc.mobile.command.ActionCommand;
import net.sf.mvc.mobile.command.NavigationCommand;
import net.sf.nfp.mini.data.Mucus;
import net.sf.nfp.mini.view.MucusEditorView;

public class MucusEditorModel implements Model {
	private MucusEditorView view;

	public void load(Object parameter) throws Exception {
		view.setMucus((Mucus)parameter);
	}

	public void setView(Displayable v) {
		this.view = (MucusEditorView) v;
		view.addCommand(new ActionCommand("${ok}", Command.SCREEN, 1) {
			public Navigation execute(Displayable d) throws Exception {
				return new Navigation("mucus-editor", view.getMucus());
			}			
		});
		view.addCommand(new NavigationCommand("mucus-editor","${back}",Command.BACK,2));
	}

}
